//-----------------------------------------------------------------------------
// Written by Philippe.CASTAGLIOLA@univ-nantes.fr
// Universit de Nantes & IRCCyN UMR CNRS 6597
//-----------------------------------------------------------------------------
function Z=boxbehnken(k,n0)
//-----------------------------------------------------------------------------
[argout,argin]=argn()
if (argin<1)|(argin>2)
  error("incorrect number of arguments")
end
select k
  case 2
    Z=[-1,0;1,0;0,-1;0,1]
  case 3
    Z2=factorial2(2)
    Z(1:4,[1,2])=Z2
    Z(5:8,[1,3])=Z2
    Z(9:12,[2,3])=Z2
  case 4
    Z2=factorial2(2)
    Z(1:4,[1,2])=Z2
    Z(5:8,[1,3])=Z2
    Z(9:12,[1,4])=Z2
    Z(13:16,[2,3])=Z2
    Z(17:20,[2,4])=Z2
    Z(21:24,[3,4])=Z2
  case 5
    Z2=factorial2(2)
    Z(1:4,[1,2])=Z2
    Z(5:8,[1,3])=Z2
    Z(9:12,[1,4])=Z2
    Z(13:16,[1,5])=Z2
    Z(17:20,[2,3])=Z2
    Z(21:24,[2,4])=Z2
    Z(25:28,[2,5])=Z2
    Z(29:32,[3,4])=Z2
    Z(33:36,[3,5])=Z2
    Z(37:40,[4,5])=Z2
  case 6
    Z3=factorial2(3)
    Z(1:8,[1,2,4])=Z3
    Z(9:16,[2,3,5])=Z3
    Z(17:24,[3,4,6])=Z3
    Z(25:32,[1,4,5])=Z3
    Z(33:40,[2,5,6])=Z3
    Z(41:48,[1,3,6])=Z3
  case 7
    Z3=factorial2(3)
    Z(1:8,[4,5,6])=Z3
    Z(9:16,[1,6,7])=Z3
    Z(17:24,[2,5,7])=Z3
    Z(25:32,[1,2,4])=Z3
    Z(33:40,[3,4,7])=Z3
    Z(41:48,[1,3,5])=Z3
    Z(49:56,[2,3,6])=Z3
  case 9
    Z3=factorial2(3)
    Z(1:8,[1,4,7])=Z3
    Z(9:16,[2,5,8])=Z3
    Z(17:24,[3,6,9])=Z3
    Z(25:32,[1,2,3])=Z3
    Z(33:40,[4,5,6])=Z3
    Z(41:48,[7,8,9])=Z3
    Z(49:56,[1,5,9])=Z3
    Z(57:64,[3,4,8])=Z3
    Z(65:72,[2,6,7])=Z3
    Z(73:80,[1,6,8])=Z3
    Z(81:88,[2,4,9])=Z3
    Z(89:96,[3,5,7])=Z3
    Z(97:104,[1,4,7])=Z3
    Z(105:112,[2,5,8])=Z3
    Z(113:120,[3,6,9])=Z3
  case 10
    Z4=factorial2(4)
    Z(1:16,[2,6,7,10])=Z4
    Z(17:32,[1,2,5,10])=Z4
    Z(33:48,[2,3,7,8])=Z4
    Z(49:64,[2,4,6,9])=Z4
    Z(65:80,[1,8,9,10])=Z4
    Z(81:96,[3,4,5,10])=Z4
    Z(97:112,[1,4,7,8])=Z4
    Z(113:128,[3,5,7,9])=Z4
    Z(129:144,[1,3,6,9])=Z4
    Z(145:160,[4,5,6,8])=Z4
  else
    error("argument ''k'' must be an integer in 2,3,...,10")
end
if argin==1
  n0=1
end
if (n0<0)|(n0~=floor(n0))
  error("argument ''n0'' must be an integer >= 0")
end
Z=[Z;zeros(n0,k)]
endfunction