//-----------------------------------------------------------------------------
// Written by Philippe.CASTAGLIOLA@univ-nantes.fr
// Universit de Nantes & IRCCyN UMR CNRS 6597
//-----------------------------------------------------------------------------
function X=idfgamma(Y,a,b,c,d)
//-----------------------------------------------------------------------------
[argout,argin]=argn()
if (argin<2)|(argin>5)
  error("incorrect number of arguments")
end
if or((Y<=0)|(Y>=1))
  error("all elements of argument ''Y'' must be in (0,1)")
end
if a<=0
  error("argument ''a'' must be > 0")
end
if ~exists("b","local")
  b=1
end
if ~exists("c","local")
  c=0
end
if ~exists("d","local")
  d=1
end
if b<=0
  error("argument ''b'' must be > 0")
end
if d==0
  error("argument ''d'' must be ~= 0")
end
if d>0
  X=c+(cdfgam("X",a*ones(Y),ones(Y)/b^d,Y,1-Y)).^(1/d)
else
  X=c+(cdfgam("X",a*ones(Y),ones(Y)/b^d,1-Y,Y)).^(1/d)
end
endfunction